<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class UserController extends Controller
{
    public function index(){
        // $users = [
        //     'alex' => 'Alex',
        //     'zlata' => 'Zlata'
        // ];

        $users = [
            (object)[
                'id' => 'alex',
                'name' => 'Alex'
            ],
            (object)[
                'id' => 'zlata',
                'name' => 'Zlata'
            ]
        ];

        $title = 'All users';
        return view('users.users', ['title' => $title, 'users' => $users]);
    }

    public function show($name){
        $title = 'User Info';
        return view('users.user', ['title' => $title,'name' => $name]);
    }
}
